<?php
/** @var \FiloBlu\Refilo\Block\Adminhtml\System\Config\SyncButton  $block */
$buttonHtml = '<button type="button" id="sync_wishlist_button" onclick="location.href=\'' . $block->getButtonUrl() . '\';">';
$buttonHtml .= __('Sync Wishlists');
$buttonHtml .= '</button>';

echo $buttonHtml;
?>

<script>
    require([
        'jquery',
        'mage/loader'
    ], function(jQuery, loader) {
        jQuery('#sync_wishlist_button').on('click', function() {
            jQuery('body').loader('show');
        });
    });
</script>

